Bug 506719 - bitlbee segmentation fault in xmpp
bitlbee segmentation fault in xmpp
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: bitlbee (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Robert Scheck
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-18 09:16 EDT by Michael Ploujnikov
Modified: 2018-04-11 12:47 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.2.3-4.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-16 18:51:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Ploujnikov 2009-06-18 09:16:42 EDT
Description of problem:
Bitlbee crashes every time I try to log into my Jabber account.

Version-Release number of selected component (if applicable):
bitlbee-1.2.3-2.fc11.i586

How reproducible:
Always

Steps to Reproduce:
1. start bitlbee without forking it into the background
2. connect irssi to bitlbee
3. register a user account
4. add a jabber account to bitlbee
5. try to connect to the jabber account
  
Actual results:
$ grep -v "#" /etc/bitlbee/bitlbee.conf|cat -s

[settings]

[defaults]

$ sudo gdb bitlbee
GNU gdb (GDB) Fedora (6.8.50.20090302-23.fc11)
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i586-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
(gdb) run -Dnv -p 6667
Starting program: /usr/sbin/bitlbee -Dnv -p 6667

in irssi:
-!- Irssi: Join to &bitlbee was synced in 1 secs
<@Plouj> register plouj mypassword
<@root> Account successfully created
<@Plouj> account add Jabber plouj@jabber.company.com myjabberpass
<@root> Account successfully added
<@Plouj> account list
<@root>  0. jabber, plouj@jabber.company.com
<@root> End of account list
<@Plouj> account on 0

switching back to gdb I can see that bitlbee crashed:

Program received signal SIGSEGV, Segmentation fault.
0x0806493a in srv_lookup (service=0x80a78c9 "xmpp-client", protocol=0x80a78c5 "tcp", domain=0x80ce3ae "jabber.company.com") at srv.c:207
207		*reply = *list;
(gdb) bt
#0  0x0806493a in srv_lookup (service=0x80a78c9 "xmpp-client", protocol=0x80a78c5 "tcp", domain=0x80ce3ae "jabber.company.com") at srv.c:207
#1  0x08071ac8 in jabber_login (acc=0x80cdb40) at jabber.c:190
#2  0x0805bd2e in cmd_account (irc=0x80bc0f0, cmd=0xbffff0c0) at root_commands.c:361
#3  0x0805c345 in root_command_string (irc=0x80bc0f0, u=0x80bccb0, command=0x80cde2a "account", flags=0) at root_commands.c:77
#4  0x08055ec9 in irc_send (irc=0x80bc0f0, nick=0x80bc298 "root", s=0x80cde2a "account", flags=0) at irc.c:1108
#5  0x08058d01 in irc_cmd_privmsg (irc=0x80bc0f0, cmd=0x80cdd00) at irc_commands.c:288
#6  0x0805712b in irc_process (irc=0x80bc0f0) at irc.c:413
#7  0x08052e77 in bitlbee_io_current_client_read (data=0x80bc0f0, fd=13, cond=GAIM_INPUT_READ) at bitlbee.c:184
#8  0x0061741b in g_io_unix_dispatch (source=0x80bc1e8, callback=0x80609b0 <gaim_io_invoke>, user_data=0x80bc180) at giounix.c:162
#9  0x005e01e8 in g_main_dispatch (context=<value optimized out>) at gmain.c:1814
#10 IA__g_main_context_dispatch (context=<value optimized out>) at gmain.c:2367
#11 0x005e37f8 in g_main_context_iterate (context=0x80b9158, block=<value optimized out>, dispatch=1, self=0x80b97e0) at gmain.c:2448
#12 0x005e3caf in IA__g_main_loop_run (loop=0x80b8ef0) at gmain.c:2656
#13 0x08060a43 in b_main_run () at events_glib.c:63
#14 0x0805ed84 in main (argc=4, argv=0xbffff7f4) at unix.c:135
(gdb) list
202	
203		/* TODO: bitlbee should expect a situation when more than one server
204		 * is available for the given SRV record.
205		 */
206		reply = g_malloc(sizeof(struct ns_srv_reply));
207		*reply = *list;
208		g_free(list);
209		/* list=NULL; */
210	#endif /* HAVE_RESOLV_A */
211		return reply;
(gdb) bt full
#0  0x0806493a in srv_lookup (service=0x80a78c9 "xmpp-client", protocol=0x80a78c5 "tcp", domain=0x80ce3ae "jabber.company.com") at srv.c:207
        reply = 0x80ce5b0
        list = 0x0
        name = "_xmpp-client._tcp.jabber.company.com", '\0' <repeats 316 times>, "\25\342^\203\0\0\0\0/\0\0\0\66\0\0\0\241\227?\0,\354\377\277\1\354\377\277h\353\377\277OV\5\b\360\300\v\bm\244\t\bx\353\377\277\0\0\0\0\0\0\0\0\377\377\377\377\0\0\0\0\5\0\0\0\320\353\377\277\0\0\0\0 \333\f0\0\0\0\0\231\231\231\31H\244\t\b\0\0\0\0\364oS\0@\0\0\0\310\377\377\377\270\353\377\277\237\225?\0\320\353\377\277\b\357\377\277\n\0\0\0\0\0\0\0\200sS\0\364oS\0\34\357\377\277\225\271A\0\320\353\377\277\b\357\377\277\n\0\0\0\0\0\0\0\60\0\v\b\260\314\v\bH\244\t\b\250\302\v\b\224j\n\b,\354\377\277\1\0\0\0\377\377\377\377#\300\t\bX\360\377\277\0\0\0\0\360\300\v\b,\354\377\277\260\314\v\bH\360\377\277\307Y\5\b\360\300\v\b \333\f\b,\354\377\277X\360\377\277", '\0' <repeats 12 times>, "End of account list\0bber.company.com", '\0' <repeats 116 times>"\353"...
        answer = "\307\361\201\200\0\1\0\0\0\1\0\0\f_xmpp-client\4_tcp\6jabber\acompany\3com\0\0!\0\1\300%\0\6\0\1\0\0\16\21\0\60\4dns1\rname-services\300-\4info\300GwTލ\0\0'\21\0\0\a\t\0\t:\201\0\0\0\265K\0\f\357\377\277\334\357\377\277X\357\377\277\264\346K\0>\264C\0\351\205\n\b\274\357\377\277\334\357\377\277\0\0\0\0l\356\377\277\17\0\0\0\244P`\0\370\314\v\b\354\356\377\277\334\357\377\277\214EP\0[\0\0\0\244\221h\0\310\356\377\277\272\37]\0\370\314\v\b\354\356\377\277", '\0' <repeats 12 times>, ">\264C\0\244#\5\b\342\200\65\0\2\0\0\0}\0\0\0\367\1\0\0\360\300\v\b>\264C\0>\264C\0pqB\0\70\357\377\277\214EP\0[\0\0\0n\0\0\0w\0\0\0|\0\0\0\71\0\0\0\r", '\0' <repeats 19 times>, "x\0\0\0\1\0\0\0\r\0\0\0`\0\0\0\270"...
        r = <value optimized out>
        srvcount = <value optimized out>
        pt = <value optimized out>
        emsg = 0x0
        dlen = <value optimized out>
#1  0x08071ac8 in jabber_login (acc=0x80cdb40) at jabber.c:190
        ic = 0x80ce428
        srv = 0x80cdb40
        connect_to = 0x0
        s = 0x0
        i = <value optimized out>
        had_port = 0
#2  0x0805bd2e in cmd_account (irc=0x80bc0f0, cmd=0xbffff0c0) at root_commands.c:361
        a = 0x80ce5b0
#3  0x0805c345 in root_command_string (irc=0x80bc0f0, u=0x80bccb0, command=0x80cde2a "account", flags=0) at root_commands.c:77
        cmd = {0x80cde2a "account", 0x80cde32 "on", 0x80cde35 "0", 0x0, 0x0, 0x0, 0x0, 0x0}
        s = 0x105 <Address 0x105 out of bounds>
        k = 3
        q = -88 '\250'
#4  0x08055ec9 in irc_send (irc=0x80bc0f0, nick=0x80bc298 "root", s=0x80cde2a "account", flags=0) at irc.c:1108
        c = 0x105
---Type <return> to continue, or q <return> to quit---
        u = <value optimized out>
#5  0x08058d01 in irc_cmd_privmsg (irc=0x80bc0f0, cmd=0x80cdd00) at irc_commands.c:288
No locals.
#6  0x0805712b in irc_process (irc=0x80bc0f0) at irc.c:413
        conv = 0x80cde18 "PRIVMSG"
        lines = 0x80bbfd8
        temp = <value optimized out>
        cmd = <value optimized out>
        i = 0
#7  0x08052e77 in bitlbee_io_current_client_read (data=0x80bc0f0, fd=13, cond=GAIM_INPUT_READ) at bitlbee.c:184
        line = "PRIVMSG &bitlbee :account on 0\r\n\0ber plouj@jabber.company.com myjabberpass\r\n\0\240\362\377\277\200\203S\0\274\362\377\277`\300\v\b\250\362\377\277\1oS\0(\0\0\0\364oS\0$\0\0\0#\0\0\0h\363\377\277@\bL\0\0\0\0\0`\300\v\b#\0\0\0`\300\v\b\0\0\0\0\0\200\255\373`\300\v\b`\300\v\b`\300\v\b`\300\v\b\203\300\v\b\304\300\v\b`\300\v\b\304\300\v\b", '\0' <repeats 20 times>, "8\300\v\b\4\0\0\0\310\343C\0\0\0\0\0\0\0\0\0\200\203S\0\260\203S\0\200\203S\0\31\0\0\0\0\0\0\0\70\300\v\b\5\0\0\0\377\377\377\377\b\230\v\b\0\230\v\bh\363"...
        st = <value optimized out>
#8  0x0061741b in g_io_unix_dispatch (source=0x80bc1e8, callback=0x80609b0 <gaim_io_invoke>, user_data=0x80bc180) at giounix.c:162
        buffer_condition = <value optimized out>
#9  0x005e01e8 in g_main_dispatch (context=<value optimized out>) at gmain.c:1814
        dispatch = 0x6173d0 <g_io_unix_dispatch>
        user_data = 0x80bc180
        callback = 0x80609b0 <gaim_io_invoke>
        cb_funcs = 0x6894bc
        cb_data = 0x80b9808
        current_source_link = {data = 0x80bc1e8, next = 0x0}
        source = 0x80bc1e8
        current = 0x80b8f30
        i = 0
#10 IA__g_main_context_dispatch (context=<value optimized out>) at gmain.c:2367
No locals.
#11 0x005e37f8 in g_main_context_iterate (context=0x80b9158, block=<value optimized out>, dispatch=1, self=0x80b97e0) at gmain.c:2448
        max_priority = 2147483647
        timeout = 154172
        some_ready = 1
        nfds = <value optimized out>
        allocated_nfds = <value optimized out>
---Type <return> to continue, or q <return> to quit---
        fds = <value optimized out>
        __PRETTY_FUNCTION__ = "g_main_context_iterate"
#12 0x005e3caf in IA__g_main_loop_run (loop=0x80b8ef0) at gmain.c:2656
        self = 0x80b97e0
        __PRETTY_FUNCTION__ = "IA__g_main_loop_run"
#13 0x08060a43 in b_main_run () at events_glib.c:63
No locals.
#14 0x0805ed84 in main (argc=4, argv=0xbffff7f4) at unix.c:135
        i = <value optimized out>
        old_cwd = 0x0
        sig = {__sigaction_handler = {sa_handler = 0x805ea30 <sighandler>, sa_sigaction = 0x805ea30 <sighandler>}, sa_mask = {__val = {
              0 <repeats 32 times>}}, sa_flags = -2147483648, sa_restorer = 0}
        old = {__sigaction_handler = {sa_handler = 0, sa_sigaction = 0}, sa_mask = {__val = {0, 0, 0, 0, 0, 0, 4, 5473200, 0, 0, 122408, 3221222760, 4434391, 
              4415905, 0, 134984160, 4415905, 4294967295, 1, 6284948, 576, 5468148, 5468148, 134984160, 1, 3221222732, 0, 6284948, 4433014, 4446880, 4443936, 
              1}}, sa_flags = 0, sa_restorer = 0xbfd8fbfc}

Expected results:
I should be successfully logged into Jabber and bitlbee should continue running.

Additional info:
Comment 1 Robert Scheck 2009-06-21 10:21:13 EDT
Matej, I would assume, this is the same as bug #501786?
Comment 2 Matěj Cepl 2009-06-21 17:24:25 EDT
yeah, quite certianly, except other one is EPEL (not sure whether it matters).
Comment 3 Fedora Update System 2009-08-16 18:52:45 EDT
bitlbee-1.2.3-4.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/bitlbee-1.2.3-4.el4
Comment 4 Fedora Update System 2009-08-16 18:52:46 EDT
bitlbee-1.2.3-4.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/bitlbee-1.2.3-4.el5
Comment 5 Fedora Update System 2009-08-16 18:52:58 EDT
bitlbee-1.2.3-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/bitlbee-1.2.3-4.fc11
Comment 6 Fedora Update System 2009-08-17 16:43:56 EDT
bitlbee-1.2.3-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/bitlbee-1.2.3-4.fc10
Comment 7 Fedora Update System 2009-09-02 16:55:01 EDT
bitlbee-1.2.3-4.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2009-09-02 16:56:16 EDT
bitlbee-1.2.3-4.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2009-09-02 20:31:14 EDT
bitlbee-1.2.3-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2009-09-02 20:33:59 EDT
bitlbee-1.2.3-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.